Loading...
Searching...
No Matches
PolyInputIterator< T > Class Template Reference

`#include <Poly.h>`

## Public Member Functions

bool | operator== (const PolyInputIterator &t2)
bool | operator!= (const PolyInputIterator &t2)
| PolyInputIterator (poly p, ring r)
| PolyInputIterator (const PolyInputIterator &it)
PolyInputIterator & | operator++ ()
PolyInputIterator | operator++ (int)
const ConstTermReference< T > | operator* ()
shared_ptr< const T > | operator-> ()

## Private Attributes

poly | t
ring | r

## Detailed Description

template<class T>
class PolyInputIterator< T >

Definition at line 283 of file Poly.h.

## Constructor & Destructor Documentation

## PolyInputIterator() [1/2]

template<class T>

PolyInputIterator< T >::PolyInputIterator | ( | poly | p,
|  | ring | r )

inline

Definition at line 298 of file Poly.h.

{
t=p;
this->r=r;
}
PolyInputIterator
Definition Poly.h:285
PolyInputIterator::r
ring r
Definition Poly.h:288
PolyInputIterator::t
poly t
Definition Poly.h:287

## PolyInputIterator() [2/2]

template<class T>

PolyInputIterator< T >::PolyInputIterator | ( | const PolyInputIterator< T > & | it | ) |

inline

Definition at line 303 of file Poly.h.

{
t=it.t;
r=it.r;
}

## Member Function Documentation

## operator!=()

template<class T>

bool PolyInputIterator< T >::operator!= | ( | const PolyInputIterator< T > & | t2 | ) |

inline

Definition at line 294 of file Poly.h.

{
return t2.t!=t;
}

## operator*()

template<class T>

const ConstTermReference< T > PolyInputIterator< T >::operator* | ( |  | ) |

inline

Definition at line 319 of file Poly.h.

{
return ConstTermReference<T> (t,r);
}

## operator++() [1/2]

template<class T>

PolyInputIterator & PolyInputIterator< T >::operator++ | ( |  | ) |

inline

Definition at line 308 of file Poly.h.

{
t=t->next;
return *this;
}

## operator++() [2/2]

template<class T>

PolyInputIterator PolyInputIterator< T >::operator++ | ( | int |  | ) |

inline

Definition at line 313 of file Poly.h.

{
PolyInputIterator it(*this);
++(*this);
return it;
}
PolyInputIterator::PolyInputIterator
PolyInputIterator(poly p, ring r)
Definition Poly.h:298

## operator->()

template<class T>

shared_ptr< const T > PolyInputIterator< T >::operator-> | ( |  | ) |

inline

Definition at line 323 of file Poly.h.

{
return shared_ptr<const T>(new T(p_Head(t,r),r,0));
}
T
STATIC_VAR jList * T
Definition janet.cc:30
p_Head
static poly p_Head(const poly p, const ring r)
copy the (leading) term of p
Definition p_polys.h:862

## operator==()

template<class T>

bool PolyInputIterator< T >::operator== | ( | const PolyInputIterator< T > & | t2 | ) |

inline

Definition at line 290 of file Poly.h.

{
return t2.t==t;
}

## Field Documentation

## r

template<class T>

ring PolyInputIterator< T >::r

private

Definition at line 288 of file Poly.h.

## t

template<class T>

poly PolyInputIterator< T >::t

private

Definition at line 287 of file Poly.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/Poly.h